#include <stdio.h>
#include <stdlib.h>

int main()
{
    long N,k,K=0;
    scanf("%ld %ld",&N,&k);
    int A[N];
    for(int i=0;i<N;i++){
        scanf("%ld",&A[i]);
    }
    if(k==0){
        for(int i=0;i<N;i++){
        K=K+A[i];
        }
    }
    else
        if(k>0){
        for(int i=0;i<N;i++){
            for(int j=i;j<N;j++){
                K=K+A[i]+A[j];
            }
            K=K+(A[i]*k);
    }
    }
    printf("%ld",K);
    return 0;
}